package com.aucma.dms.domain;

import com.aucma.common.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;



/**
 * 巡检记录对象 dms_record_inspect
 *
 * @author Open Platform
 * @date 2024-01-16
 */
public class DmsRecordInspect extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long recordInspectId;

    /** 巡检单号 */
    @Excel(name = "巡检单号")
    private String billsInspectCode;

    /** 计划ID*/
    private Long planInspectId;
    /** 检查类型(1巡检,2点检) */
    @Excel(name = "检查类型(1巡检,2点检)")
    private String inspectType;

    /** 巡检线路,关联dms_base_inspect_route的inspect_route_id */
    @Excel(name = "巡检线路,关联dms_base_inspect_route的inspect_route_id")
    private Long inspectRouteId;

    /** 设备总数 */
    @Excel(name = "设备总数")
    private Long deviceAmount;

    /** 计划巡检时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计划巡检时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planBeginTime;
    /** 计划巡检结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计划巡检时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planEndTime;
    /** 实际开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date realBeginTime;

    /** 实际结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date realEndTime;

    /** 执行人员 */
    @Excel(name = "执行人员")
    private String performer;

    /** 巡检状态：1-待巡检；2-巡检中；3-完成 */
    @Excel(name = "巡检状态：1-待巡检；2-巡检中；3-完成")
    private Long inspectStatus;

    /** 巡检用时 */
    @Excel(name = "巡检用时")
    private BigDecimal inspectDuration;

    /** 是否标识：1-是；0-否 */
    @Excel(name = "是否标识：1-是；0-否")
    private String isFlag;

    /** 设备编码（查询用，非持久化字段） */
    private String deviceCode;

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    private Long inspectInstanceId;
    public void setInspectInstanceId(Long inspectInstanceId)
    {
        this.inspectInstanceId = inspectInstanceId;
    }

    public Long getInspectInstanceId()
    {
        return inspectInstanceId;
    }
    public void setRecordInspectId(Long recordInspectId)
    {
        this.recordInspectId = recordInspectId;
    }

    public Long getRecordInspectId()
    {
        return recordInspectId;
    }
    public void setBillsInspectCode(String billsInspectCode)
    {
        this.billsInspectCode = billsInspectCode;
    }

    public String getBillsInspectCode()
    {
        return billsInspectCode;
    }
    public void setInspectType(String inspectType)
    {
        this.inspectType = inspectType;
    }

    public String getInspectType()
    {
        return inspectType;
    }
    public void setInspectRouteId(Long inspectRouteId)
    {
        this.inspectRouteId = inspectRouteId;
    }

    public Long getInspectRouteId()
    {
        return inspectRouteId;
    }
    public void setDeviceAmount(Long deviceAmount)
    {
        this.deviceAmount = deviceAmount;
    }

    public Long getDeviceAmount()
    {
        return deviceAmount;
    }

    public void setRealBeginTime(Date realBeginTime)
    {
        this.realBeginTime = realBeginTime;
    }

    public Date getRealBeginTime()
    {
        return realBeginTime;
    }
    public void setRealEndTime(Date realEndTime)
    {
        this.realEndTime = realEndTime;
    }

    public Date getRealEndTime()
    {
        return realEndTime;
    }
    public void setPerformer(String performer)
    {
        this.performer = performer;
    }

    public String getPerformer()
    {
        return performer;
    }
    public void setInspectStatus(Long inspectStatus)
    {
        this.inspectStatus = inspectStatus;
    }

    public Long getInspectStatus()
    {
        return inspectStatus;
    }
    public void setInspectDuration(BigDecimal inspectDuration)
    {
        this.inspectDuration = inspectDuration;
    }

    public BigDecimal getInspectDuration()
    {
        return inspectDuration;
    }
    public void setIsFlag(String isFlag)
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag()
    {
        return isFlag;
    }

    public Long getPlanInspectId() {
        return planInspectId;
    }

    public void setPlanInspectId(Long planInspectId) {
        this.planInspectId = planInspectId;
    }

    public Date getPlanBeginTime() {
        return planBeginTime;
    }

    public void setPlanBeginTime(Date planBeginTime) {
        this.planBeginTime = planBeginTime;
    }

    public Date getPlanEndTime() {
        return planEndTime;
    }

    public void setPlanEndTime(Date planEndTime) {
        this.planEndTime = planEndTime;
    }

    @Override
    public String toString() {
        return "DmsRecordInspect{" +
                "recordInspectId=" + recordInspectId +
                ", billsInspectCode='" + billsInspectCode + '\'' +
                ", planInspectId=" + planInspectId +
                ", inspectType='" + inspectType + '\'' +
                ", inspectRouteId=" + inspectRouteId +
                ", deviceAmount=" + deviceAmount +
                ", planBeginTime=" + planBeginTime +
                ", planEndTime=" + planEndTime +
                ", realBeginTime=" + realBeginTime +
                ", realEndTime=" + realEndTime +
                ", performer='" + performer + '\'' +
                ", inspectStatus=" + inspectStatus +
                ", inspectDuration=" + inspectDuration +
                ", isFlag='" + isFlag + '\'' +
                '}';
    }
}
